SparkyLinux 64 Published by

The first update for the SparkyLinux 7 series has been released.



Sparky 7.1

This is the first update of Sparky 7 – 7.1 “Orion Belt”.

It is a quarterly updated point release of Sparky 7 “Orion Belt” of the stable line. Sparky 7 is based on and fully compatible with Debian 12 “Bookworm”.

Changes:
– all packages updated from Debian and Sparky stable repos as of September 12, 2023
– Linux kernel 6.1.52 (6.5.3-sparky & 5.15.131-LTS-sparky in sparky repos)
– LibreOffice 7.4.7
– Calamares 3.2.61
– KDE Plasma 5.27.5
– LXQt 1.2.0
– MATE 1.26
– Xfce 4.18
– Openbox 3.6.1
– firefox 102.15.0esr (117.0.1-sparky in sparky repos)
– thunderbird 102.15.0
– vlc 3.0.18
– exaile 4.1.3
– removed sparky unstable repo (sparky’s linux kernel is placed in ‘core’ repo now)
– added rpi-imager to all iso images to let you easy manage RPi images
– Openbox: added gnote and parcellite
– MATE: added gnote
– LXQt: added noblenote
– ARM images 7.x are not ready yet

Sparky 7 “Orion Belt” is available in the following versions:
– amd64 BIOS/UEFI+Secure Boot: Xfce, LXQt, MATE, KDE Plasma, MinimalGUI (Openbox) & MinimalCLI (text mode)
– i686 non-pae BIOS/UEFI (Legacy): MinimalGUI (Openbox) & MinimalCLI (text mode)

Make sure that the ‘os-prober’ will be not executed to detect other bootable partitions as default, but Sparky provides a GRUB option to detect other OSes anyway.
But, a next updating of GRUB packages override the option.
To fix that manually, add the line:
GRUB_DISABLE_OS_PROBER=false
on the end of the file (as root):
/etc/default/grub
Then update grub:
sudo update-grub

live user pasword: live

If you have Sparky 7.0 installed – simply keep it up to date. No need to reinstall your OS.

New iso images of Sparky 7 “Orion Belt” can be downloaded from the  download/stable page

SparkyLinux

Sparky 7.1 - SparkyLinux